Skip to main content
PATCH
/
api
/
v1
/
testing-lab
/
test-profiles
/
{id}
Update a Cekura test profile
curl --request PATCH \
  --url https://prod.featherhq.com/api/v1/testing-lab/test-profiles/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "information": {}
}
'
{
  "id": 123,
  "agent": 123,
  "project": 123,
  "agent_name": "<string>",
  "name": "<string>",
  "information": {},
  "created_by": 123,
  "last_updated_by": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
name
string
information
object

Response

Test profile updated successfully

id
number
required
agent
number
required
project
number | null
agent_name
string | null
name
string | null
information
object
created_by
number | null
last_updated_by
number | null
created_at
string | null
updated_at
string | null